static const char *RcsId = "$Header: /home/cvsadm/cvsroot/fermi/servers/adio/src/AdioStateMachine.cpp,v 1.2 2013-10-29 11:27:03 graziano Exp $";
//+=============================================================================
//
// file :         AdioStateMachine.cpp
//
// description :  C++ source for the Adio and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: graziano $
//
// $Revision: 1.2 $
//
// $Log: AdioStateMachine.cpp,v $
// Revision 1.2  2013-10-29 11:27:03  graziano
// Tango 8, Device_4Impl
//
// Revision 1.1  2008/06/24 10:24:38  graziano
// first commit
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <Adio.h>
#include <AdioClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace Adio_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================


//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Adio::is_EnabIrqMask_allowed
// 
// description : 	Execution allowed for EnabIrqMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_EnabIrqMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_DisabIrqMask_allowed
// 
// description : 	Execution allowed for DisabIrqMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_DisabIrqMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetDebounce_allowed
// 
// description : 	Execution allowed for SetDebounce command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetDebounce_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDebounce_allowed
// 
// description : 	Execution allowed for GetDebounce command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDebounce_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_ConfigIOMask_allowed
// 
// description : 	Execution allowed for ConfigIOMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_ConfigIOMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDigInMask_allowed
// 
// description : 	Execution allowed for GetDigInMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDigInMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_DigIn_allowed
// 
// description : 	Execution allowed for DigIn command.
//
//-----------------------------------------------------------------------------
bool Adio::is_DigIn_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetDigOutMask_allowed
// 
// description : 	Execution allowed for SetDigOutMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetDigOutMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDigOutMask_allowed
// 
// description : 	Execution allowed for GetDigOutMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDigOutMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_DigOut_allowed
// 
// description : 	Execution allowed for DigOut command.
//
//-----------------------------------------------------------------------------
bool Adio::is_DigOut_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_DigOn_allowed
// 
// description : 	Execution allowed for DigOn command.
//
//-----------------------------------------------------------------------------
bool Adio::is_DigOn_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_DigOff_allowed
// 
// description : 	Execution allowed for DigOff command.
//
//-----------------------------------------------------------------------------
bool Adio::is_DigOff_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_DigPulse_allowed
// 
// description : 	Execution allowed for DigPulse command.
//
//-----------------------------------------------------------------------------
bool Adio::is_DigPulse_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDacCtrl_allowed
// 
// description : 	Execution allowed for GetDacCtrl command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDacCtrl_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetDcDac_allowed
// 
// description : 	Execution allowed for SetDcDac command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetDcDac_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDcDac_allowed
// 
// description : 	Execution allowed for GetDcDac command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDcDac_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetAcDac_allowed
// 
// description : 	Execution allowed for SetAcDac command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetAcDac_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetAcDac_allowed
// 
// description : 	Execution allowed for GetAcDac command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetAcDac_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetAdc_allowed
// 
// description : 	Execution allowed for GetAdc command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetAdc_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetAdcVolt_allowed
// 
// description : 	Execution allowed for GetAdcVolt command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetAdcVolt_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetDacLowTh_allowed
// 
// description : 	Execution allowed for SetDacLowTh command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetDacLowTh_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDacLowTh_allowed
// 
// description : 	Execution allowed for GetDacLowTh command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDacLowTh_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetDacHighTh_allowed
// 
// description : 	Execution allowed for SetDacHighTh command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetDacHighTh_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetDacHighTh_allowed
// 
// description : 	Execution allowed for GetDacHighTh command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetDacHighTh_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetSetPnt_allowed
// 
// description : 	Execution allowed for GetSetPnt command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetSetPnt_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetPinConnector_allowed
// 
// description : 	Execution allowed for GetPinConnector command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetPinConnector_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetAcDacVolt_allowed
// 
// description : 	Execution allowed for GetAcDacVolt command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetAcDacVolt_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetConfigIOMask_allowed
// 
// description : 	Execution allowed for GetConfigIOMask command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetConfigIOMask_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetAcDacVolt_allowed
// 
// description : 	Execution allowed for SetAcDacVolt command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetAcDacVolt_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_SetDcDacVolt_allowed
// 
// description : 	Execution allowed for SetDcDacVolt command.
//
//-----------------------------------------------------------------------------
bool Adio::is_SetDcDacVolt_allowed(const CORBA::Any &any)
{
	if (get_state() == Tango::DISABLE)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_RegisterChannels_allowed
// 
// description : 	Execution allowed for RegisterChannels command.
//
//-----------------------------------------------------------------------------
bool Adio::is_RegisterChannels_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_UnregisterChannels_allowed
// 
// description : 	Execution allowed for UnregisterChannels command.
//
//-----------------------------------------------------------------------------
bool Adio::is_UnregisterChannels_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Adio::is_GetChannelsConfig_allowed
// 
// description : 	Execution allowed for GetChannelsConfig command.
//
//-----------------------------------------------------------------------------
bool Adio::is_GetChannelsConfig_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace Adio_ns
